Home > Releases > lemonPOS 0.9 Released!

lemonPOS 0.9 Released!

January 24, 2010

I have released the 0.9 version of lemonPOS.

There are new features like:

  • CUPS printers support for small tickets (for thermal printers)
  • Groups/Packs of products
  • Special Orders (custom products)
  • New printed reports on squeeze admin tool
  • User Roles (multiple admins, supervisors)
  • Lock Screen
  • Suspend/Resume sales

The complete changelog is here

You can get the sources from sourceforge project page.  We are waiting for each distribution packagers to make the new precompiled packages for lemonPOS.

About these ads
Categories: Releases Tags:
  1. mark
    January 25, 2010 at 3:25 pm

    Hi, lemonpos looks interesting and want to learn more.. i followed your instructions word for word on sourceforg, but unable to install properly. Currently using ubuntu 9.10, with kde4 and qt4, myysql5.1. Install went pretty good without errors, but I don’t see the lemon and squeeze icon on my desktop. i tried to execute “lemon” under command line, but command not found. Can you please direct my where to look, thanks in advance.

  2. Joey
    January 28, 2010 at 10:59 pm

    Newbie to linux but I’m getting there….Been running previous version of Lemonpos for a couple of weeks familiarizing myself with it before we open a retail store in the next couple of months….I am also new to MYSQL so that has been cool to learn as well (feels good to DO something on a computer without point and clicking..)

    How does the updating process work? Should I delete the previous version and then just install this one using the wiki? Are databases saved? Should I “backup” my database in MYSQL? Any help is appreciated…Thanks for the program and I am gonna work up some donations to ya’ in our business expenses…

    • January 29, 2010 at 12:39 pm

      Hi,

      Backup your database just in case.
      Install the new version, it will delete the old.

      The database must be upgraded with the script provided on the lemonpos/database_resources/ folder, its the “fix_0.8.sql” file. I found an error on this file, just remove the comments on it or replace the “–” for an “#”, and execute it by running: “cat fix_0.8.sql | mysql -uroot -p”

  3. realitygaps
    March 21, 2010 at 10:10 am

    I packaged lemonpos 0.9.2 and its now available in the ArchLinux AUR – http://aur.archlinux.org/packages.php?ID=35805

  4. David Sanchez
    May 11, 2010 at 8:11 am

    I am trying to install lemon P.O.S. but i get an error code. can somebody help me

    installArchives() failed: (Reading database …
    (Reading database … 5%
    (Reading database … 10%
    (Reading database … 15%
    (Reading database … 20%
    (Reading database … 25%
    (Reading database … 30%
    (Reading database … 35%
    (Reading database … 40%
    (Reading database … 45%
    (Reading database … 50%
    (Reading database … 55%
    (Reading database … 60%
    (Reading database … 65%
    (Reading database … 70%
    (Reading database … 75%
    (Reading database … 80%
    (Reading database … 85%
    (Reading database … 90%
    (Reading database … 95%
    (Reading database … 100%
    (Reading database … 140806 files and directories currently installed.)

    Unpacking lemonpos (from …/lemonpos_0.9.1-0ubuntu1_i386.deb) …

    dpkg: error processing /var/cache/apt/archives/lemonpos_0.9.1-0ubuntu1_i386.deb (–unpack):

    trying to overwrite ‘/usr/share/kde4/apps/squeeze/squeezeui.rc’, which is also in package lemonpos-data 0:0.9.1-0ubuntu1

    Processing triggers for desktop-file-utils …

    Processing triggers for python-gmenu …

    Rebuilding /usr/share/applications/desktop.en_US.UTF8.cache…

    Processing triggers for python-support …

    Errors were encountered while processing:

    /var/cache/apt/archives/lemonpos_0.9.1-0ubuntu1_i386.deb

    • May 11, 2010 at 9:39 am

      Maybe you could ask on the ubuntu forum…
      I dont know the ubuntu packages

    • June 9, 2010 at 7:43 pm

      Remove the lemonpos-data package first!

  5. kilinuxmi
    June 8, 2010 at 11:40 pm

    There was an error when installing Lemon Pos, as follows:
    “”E: /var/cache/apt/archives/lemonpos_0.9.1-0ubuntu1_i386.deb: trying to overwrite ‘/usr/share/kde4/apps/squeeze/squeezeui.rc’, which is also in package lemonpos-data 0″”

    Could you please tell us how to fixed this error?
    Thank you.

    • June 9, 2010 at 7:42 pm

      Remove the lemonpos-data package….

  1. No trackbacks yet.
Comments are closed.
Follow

Get every new post delivered to your Inbox.

%d bloggers like this: